<!DOCTYPE html>
<html>

  <head>
    <meta http-equiv="refresh" content="4"> 
		<!-- if changing refresh seconds above, also change it for the sequence timer feature at the bottom of this code -->

    <title>Time remaining</title>
		
		<link href="https://fonts.googleapis.com/css?family=Josefin+Sans&display=swap" rel="stylesheet">

    <style>
      body {
        font-family: 'Josefin Sans', sans-serif;
				text-shadow: 2px 2px 2px #000;
				font-size: 36px;
				text-align:center;
      }
    </style>
		
  </head>
	
  <body>
	
	<font color="white">

		<?php
			$fileName="";
			$timeFile="";
			$seqEndTime=0;
			$monthNow=0;
			$dayNow=0;
			$hourNow=0;
			$minuteNow=0;
			$tdString="";
			$thanksgivingDay=0;
			$dayGood="false";
			$timeGood="false";
			$notDayTimeMessage="none";
			$filename="";
			$fileStatusTime=0;
			$vcSequence="";
			$vcVotes=0;
			$totalVotes=0;

			// If status.txt is older than five minutes, erase it then update status frame
			$filename = 'status.txt';
			if (file_exists($filename)) 
				{
				$fileStatusTime=filemtime($filename)+300;

				if (time()>$fileStatusTime)
					{
					$myFile = fopen($filename, 'w') or die("Unable to write status.txt file!");
					fwrite($myFile,"");
					fclose($myFile);	
					
					//refresh frame to show empty message
					echo "<script type='text/javascript'>
								statusframename=parent.window.frames['statusframe'];
								statusframename.location=statusframename.location;
								</script>";
					}
				}
				
			// Get day & time in Ohio
			date_default_timezone_set('America/Indiana/Indianapolis');

			//checking actual day/time disabled to allow me to test the system
			//$timestamp = time(); 
			$timestamp=strtotime("10 December 2000 20:45:54");

			$monthNow=date("n", $timestamp);
			$dayNow=date("j", $timestamp);
			$hourNow=date("H", $timestamp);
			$minuteNow=date("i", $timestamp);

			// Determine Thanksgiving Day (day number)
			$tdString="fourth thursday ".date("Y", $timestamp)."-11";
			$thanksgivingDay=date("j", strtotime($yearNow));

			// Are we in the correct day of the year for the show to be active?
			if ($monthNow==1 and $dayNow<15)
				{
				// First two weeks of January
				$dayGood="true";
				}

			elseif ($monthNow==11 and $dayNow>=$thanksgivingDay)
				{
				// November, after and including Thanksgiving Day
				$dayGood="true";
				}
	
			elseif ($monthNow==12)
				{
				// December	
				$dayGood="true";
				}
	
			// Are we in the correct time of day for the show to be active?
			if ($hourNow>=18 and $hourNow<=22)
				{
				// 6:00 p.m. to 10:00
				$timeGood="true";
				}

			elseif ($hourNow==11 and $minuteNow<=30)
				{
				// 11:00-11:30 p.m.
				$timeGood="true";
				}

			if ($dayGood=="false")
				{
				$notDayTimeMessage="Tom's Christmas lights are available the evening of Thanksgiving Day through the second week of January.  Please come back then to view and control Tom's lights!";
				}
				
			elseif ($dayGood=="true" and $timeGood=="false")
				{
				$notDayTimeMessage="Tom's Christmas lights are available from 6:00-11:30 p.m.  The current time at Tom's house is ".date("g:i a").".  Please come back then to view and control Tom's lights!";
				}
					
			if ($notDayTimeMessage!="none")		
				{
				echo "<script type='text/javascript'>
							voteframename=parent.window.frames['voteframe'];
							voteframename.location='emptyVote.php';
							</script>";
							
				$myFile = fopen("status.txt", "w") or die("Unable to write status.txt file!");	
				fwrite($myFile,$notDayTimeMessage);
				fclose($myFile);	

				echo "<script type='text/javascript'>
						statusframename=parent.window.frames['statusframe'];
						statusframename.location=statusframename.location;

						//clear voting status cookie
						var d = new Date(); 
						d.setTime(d.getTime() + (1*24*60*60*1000)); 
						var expires = 'expires=' + d.toGMTString(); 
						document.cookie = 'votedStatus=false' + ';' + expires + ';path=/';
						</script>";
						
				// clear coolDown.txt file as there is no show going on at this day/time
				$myFile = fopen('coolDown.txt', 'w') or die("Unable to write coolDown.txt file!");
				fclose($myFile);	
				}

			else
				{
				//correct day and time, continue with script

				//Reset all votes in voteCount.txt to zeros if trigger file is found. 
				$fileName="resetVoteCount.txt";
		
				if (file_exists($fileName))
					{
					$myFile = fopen("resetVoteCount.txt", "r") or die("Unable to read resetVoteCount.txt file!");
					// Important!  Strip new line, carriage return, etc. from fgets
					$line = 	str_replace (array("\r\n", "\n", "\r"), '', fgets($myFile));
					fclose($myFile);

					$nowTime=time();
			
					//If current time less than txt expire time, reset visitors's voting cookie
					if ($nowTime<$line)
						{
						//reset voting status cookie for everyone and refresh the voting frame
						echo "<script type='text/javascript'>
									statusframename=parent.window.frames['statusframe'];
									statusframename.location=statusframename.location;

									//clear voting status cookie
									var d = new Date(); 
									d.setTime(d.getTime() + (1*24*60*60*1000)); 
									var expires = 'expires=' + d.toGMTString(); 
									document.cookie = 'votedStatus=false' + ';' + expires + ';path=/';
									</script>";

						echo "<script type='text/javascript'>
									voteframename=parent.window.frames['voteframe'];
									voteframename.location=voteframename.location;
									</script>";
						}			

					//If current time is greater than txt expire time then delete trigger file
					else
						{
						unlink($fileName);
						}
					}

				// Activate voting if it was disabled because of incorrect date/time in the recent past
				echo "<script type='text/javascript'>	
							voteframename=parent.window.frames['voteframe'];
				
							var str=String(voteframename.location);
							
							if (str.includes('emptyVote.php'))
								{
								voteframename.location='vote.php';
								}
							</script>";
		
				//only update frames where the refresh txt files are found and not expired
				//expire time is 6 seconds from when file was created (see voteActionCont.php),
				//which is 1.5 times the refresh rate of this window (4, see top)

				//------------------------------------------------------------------------------
				$fileName="refreshLog.txt";
		
				if (file_exists($fileName))
					{
					$myFile = fopen("refreshLog.txt", "r") or die("Unable to read refreshLog.txt file!");
					// Important!  Strip new line, carriage return, etc. from fgets
					$line = 	str_replace (array("\r\n", "\n", "\r"), '', fgets($myFile));
					fclose($myFile);

					$nowTime=time();
			
					//If current time less than txt expire time, refresh frame
					if ($nowTime<$line)
						{
						echo "<script type='text/javascript'>
									logframename=parent.window.frames['logframe'];
									logframename.location=logframename.location;
									</script>";
						}

					//If current time is greater than txt expire time then delete file
					else
						{
						unlink($fileName);
						}
					}
		
				//------------------------------------------------------------------------------
				$fileName="refreshLogRecent.txt";
		
				if (file_exists($fileName))
					{
					$myFile = fopen("refreshLogRecent.txt", "r") or die("Unable to read refreshLog.txt file!");
					// Important!  Strip new line, carriage return, etc. from fgets
					$line = 	str_replace (array("\r\n", "\n", "\r"), '', fgets($myFile));
					fclose($myFile);

					$nowTime=time();
			
					//If current time less than txt expire time, refresh frame
					if ($nowTime<$line)
						{
						echo "<script type='text/javascript'>
									logrecentframename=parent.window.frames['logrecentframe'];
									logrecentframename.location=logrecentframename.location;
									</script>";
						}			

					//If current time is greater than txt expire time then delete file
					else
						{
						unlink($fileName);
						}
					}

				//------------------------------------------------------------------------------
				$fileName="refreshStatus.txt";
		
				if (file_exists($fileName))
					{
					$myFile = fopen("refreshStatus.txt", "r") or die("Unable to read refreshStatus.txt file!");
					// Important!  Strip new line, carriage return, etc. from fgets
					$line = 	str_replace (array("\r\n", "\n", "\r"), '', fgets($myFile));
					fclose($myFile);

					$nowTime=time();
				
					//If current time less than txt expire time, refresh frame
					if ($nowTime<$line)
						{
						echo "<script type='text/javascript'>
									statusframename=parent.window.frames['statusframe'];
									statusframename.location=statusframename.location;
									</script>";
						}

					//If current time is greater than txt expire time then delete file
					else
						{
						unlink($fileName);
						}
					}
				
				//------------------------------------------------------------------------------
				$fileName="refreshVote.txt";
		
				if (file_exists($fileName))
					{
					$myFile = fopen("refreshVote.txt", "r") or die("Unable to read refreshLog.txt file!");
					// Important!  Strip new line, carriage return, etc. from fgets
					$line = 	str_replace (array("\r\n", "\n", "\r"), '', fgets($myFile));
					fclose($myFile);
	
					$nowTime=time();
			
					//If current time less than txt expire time, refresh frame
					if ($nowTime<$line)
						{
						echo "<script type='text/javascript'>
									voteframename=parent.window.frames['voteframe'];
									//voteframename.location=voteframename.location;
									voteframename.location='vote.php';
									</script>";
						}
					
					//If current time is greater than txt expire time then delete file
					else
						{
						unlink($fileName);
						}
					}
				
				//If seqTime.txt exists, read it, display it, then decrease by 4 seconds (the same seconds as this frame's meta refresh)	
				$timeFile="seqTime.txt";
			
				if (file_exists($timeFile))
					{
					$myFile = fopen("seqTime.txt", "r") or die("Unable to read seqTime.txt file!");
					$seqEndTime=fgets($myFile);
					fclose($myFile);
				
					//Calculate seconds remaining from current time less sequence start time
					$secsRemaining=$seqEndTime-time();
					
					if ($secsRemaining>0)
					  {
						//Show remaining time on website
						echo ltrim(gmdate("i:s", $secsRemaining),'0');
						}
					else
						{
						//Out of time, delete seqTime.txt file
						unlink($timeFile);
						}
					}
				}
		?>
		
  </body>
</html>
